## mingw-w64-aws-sdk-cpp-1.11.435-1.src.tar.zst

=== CMakeLists.txt ===
# Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
# SPDX-License-Identifier: Apache-2.0.
#

cmake_minimum_required(VERSION 3.13 FATAL_ERROR)

option(LEGACY_BUILD "If enabled, the SDK will use 1.11.0 version of CMake files to build" ON)
if (LEGACY_BUILD)
    message(WARNING "In 1.11 releases, we are releasing experimental alternative building mode."
            "By setting -DLEGACY_BUILD=OFF you can test our advances in modern CMake building and "
            "provide early feedback. "
            "The legacy support is set by default in 1.11, when you complete build updating scripts please "
            "update the build flags as mentioned in README.md and set -DLEGACY_BUILD=OFF. "
            "The legacy support will be removed at 1.12.0 release.")

    if (POLICY CMP0077)
        cmake_policy(SET CMP0077 OLD) # CMP0077: option() honors normal variables. Introduced in 3.13
    endif ()

    get_filename_component(AWS_NATIVE_SDK_ROOT "${CMAKE_CURRENT_SOURCE_DIR}" ABSOLUTE)

    # Cmake invocation variables:
    #   BUILD_ONLY - only build project identified by this variable, a semi-colon delimited list, if this is set we will build only the projects listed. Core will always be built as will its unit tests.
    #                    Also if a high level client is specified then we will build its dependencies as well. If a project has tests, the tests will be built.
    #   ADD_CUSTOM_CLIENTS - semi-colon delimited list of format serviceName=<yourServiceName>,version=<theVersionNumber>;serviceName2=<yourOtherServiceName>,version=<versionNumber2>
    #                          to use these arguments, you should add the api definition .normal.json file for your service to the api-description folder in the generator.
    #   NDK_DIR - directory where the android NDK is installed; if not set, the location will be read from the ANDROID_NDK environment variable
    #   CUSTOM_PLATFORM_DIR - directory where custom platform scripts, modules, and source resides
    #   AWS_SDK_ADDITIONAL_LIBRARIES - names of additional libraries to link into aws-cpp-sdk-core in order to support unusual/unanticipated linking setups (static curl against static-something-other-than-openssl for example)

    option(ENABLE_UNITY_BUILD "If enabled, the SDK will be built using a single unified .cpp file for each service library.  Reduces the size of static library binaries on Windows and Linux" ON)
    option(MINIMIZE_SIZE "If enabled, the SDK will be built via a unity aggregation process that results in smaller static libraries; additionally, release binaries will favor size optimizations over speed" OFF)
    option(BUILD_SHARED_LIBS "If enabled, all aws sdk libraries will be build as shared objects; otherwise all Aws libraries will be built as static objects" ON)
    option(FORCE_SHARED_CRT "If enabled, will unconditionally link the standard libraries in dynamically, otherwise the standard library will be linked in based on the BUILD_SHARED_LIBS setting" ON)
    option(SIMPLE_INSTALL "If enabled, removes all the additional indirection (platform/cpu/config) in the bin and lib directories on the install step" ON)
    option(USE_CRT_HTTP_CLIENT "If enabled, the common runtime HTTP client will be used, and the legacy systems such as WinHttp and libcurl will not be built or included" OFF)
    option(NO_HTTP_CLIENT "If enabled, no platform-default http client will be included in the library.  For the library to be used you will need to provide your own platform-specific implementation" OFF)
    option(NO_ENCRYPTION "If enabled, no platform-default encryption will be included in the library.  For the library to be used you will need to provide your own platform-specific implementations" OFF)
    option(USE_IXML_HTTP_REQUEST_2 "If enabled on windows, the com object IXmlHttpRequest2 will be used for the http stack" OFF)
    option(ENABLE_RTTI "Flag to enable/disable rtti within the library" ON)
    option(ENABLE_TESTING "Flag to enable/disable building unit and integration tests" ON)
    option(AUTORUN_UNIT_TESTS "Flag to enable/disable automatically run unit tests after building" ON)
    option(ANDROID_BUILD_CURL "When building for Android, should curl be built as well" ON)
    option(ANDROID_BUILD_OPENSSL "When building for Android, should Openssl be built as well" ON)
    option(ANDROID_BUILD_ZLIB "When building for Android, should Zlib be built as well" ON)
    option(FORCE_CURL "Forces usage of the Curl client rather than the default OS-specific api" OFF)
    option(ENABLE_ADDRESS_SANITIZER "Flags to enable/disable Address Sanitizer for gcc or clang" OFF)
    option(BYPASS_DEFAULT_PROXY "Bypass the machine's default proxy settings when using IXmlHttpRequest2" ON)
    option(BUILD_DEPS "Build third-party dependencies" ON)
    option(USE_OPENSSL "Set this if you want to use your system's OpenSSL 1.0.2/1.1.1 compatible libcrypto" ON)
    option(ENABLE_CURL_LOGGING "If enabled, Curl's internal log will be piped to SDK's logger" ON)
    option(ENABLE_HTTP_CLIENT_TESTING "If enabled, corresponding http client test suites will be built and run" OFF)
    option(CUSTOM_MEMORY_MANAGEMENT "If set to ON, generates the sdk project files with custom memory management enabled, otherwise disables it" OFF)
    option(REGENERATE_CLIENTS "If set to ON, all clients being built on this run will be regenerated from the api definitions, this option involves some setup of python, java 8+, and maven" OFF)
    option(ENABLE_VIRTUAL_OPERATIONS "This option usually works with REGENERATE_CLIENTS. \
                                If enabled when doing code generation, operation related functions in service clients will be marked as virtual. \
                                If disabled when doing code generation, virtual will not be added to operation functions and service client class will be marked as final. \
                                If disabled, SDK will add compiler flags '-ffunction-sections -fdata-sections' for gcc and clang when compiling. \
                                You can utilize this feature to work with your linker to reduce binary size of your application on Unix platforms when doing static linking in Release mode." ON)
    option(REGENERATE_DEFAULTS "If set to ON, defaults mode configuration will be regenerated from the JSON definitions, this option involves some setup of python, java 8+, and maven" OFF)
    option(ENABLE_ZLIB_REQUEST_COMPRESSION "For services that support it, request content will be compressed. On by default if dependency available" ON)
    option(DISABLE_INTERNAL_IMDSV1_CALLS "Disables IMDSv1 internal client calls" OFF)
    option(BUILD_BENCHMARKS "Enables building the benchmark executable" OFF)
    option(BUILD_OPTEL "Enables building the open telemetry implementation of tracing" OFF)
    option(AWS_SDK_WARNINGS_ARE_ERRORS "Compiler warning is treated as an error. Try turning this off when observing errors on a new or uncommon compiler" ON)
    option(BUILD_OPTEL_OTLP_BENCHMARKS "Enables building the benchmark tests with open telemetry OTLP clients" OFF)
    option(USE_TLS_V1_2 "Set http client to enforce TLS 1.2" ON)
    option(USE_TLS_V1_3 "Set http client to enforce TLS 1.3" OFF)

    set(AWS_USER_AGENT_CUSTOMIZATION "" CACHE STRING "User agent extension")
    set(AWS_TEST_REGION "US_EAST_1" CACHE STRING "Region to target integration tests against")
    set(AWS_AUTORUN_LD_LIBRARY_PATH CACHE STRING "Path to append into LD_LIBRARY_PATH for unit tests autorun by cmake. Set this if custom runtime libs are required for overridden dependencies.")
    set(BUILD_ONLY "" CACHE STRING "A semi-colon delimited list of the projects to build")
    set(CPP_STANDARD "11" CACHE STRING "Flag to upgrade the C++ standard used. The default is 11. The minimum is 11.")

    get_property(is_multi_config GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
    if (NOT ${is_multi_config})
        set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Release build by default.")
    endif ()
    if (DISABLE_INTERNAL_IMDSV1_CALLS)
        add_definitions(-DDISABLE_IMDSV1)
    endif ()
    if (USE_TLS_V1_2)
        add_definitions(-DENFORCE_TLS_V1_2)
    endif ()
    if (USE_TLS_V1_3)
        add_definitions(-DENFORCE_TLS_V1_3)
    endif ()

    #From https://stackoverflow.com/questions/18968979/how-to-get-colorized-output-with-cmake
    if (NOT WIN32)
        string(ASCII 27 Esc)
        set(ColourReset "${Esc}[m")
        set(ColourBold "${Esc}[1m")
        set(Red "${Esc}[31m")
        set(Green "${Esc}[32m")
        set(Yellow "${Esc}[33m")
        set(Blue "${Esc}[34m")
        set(Magenta "${Esc}[35m")
        set(Cyan "${Esc}[36m")
        set(White "${Esc}[37m")
        set(BoldRed "${Esc}[1;31m")
        set(BoldGreen "${Esc}[1;32m")
        set(BoldYellow "${Esc}[1;33m")
        set(BoldBlue "${Esc}[1;34m")
        set(BoldMagenta "${Esc}[1;35m")
        set(BoldCyan "${Esc}[1;36m")
        set(BoldWhite "${Esc}[1;37m")
    endif ()

    # backwards compatibility with old command line params
    if ("${STATIC_LINKING}" STREQUAL "1")
        set(BUILD_SHARED_LIBS OFF)
    endif ()

    if (MINIMIZE_SIZE)
        message(STATUS "MINIMIZE_SIZE enabled")
        set(ENABLE_UNITY_BUILD ON) # MINIMIZE_SIZE always implies UNITY_BUILD
    endif ()

    set(PYTHON_CMD "python")

    # CMAKE_MODULE_PATH is a CMAKE variable. It contains a list of paths
    # which could be used to search CMAKE modules by "include()" or "find_package()", but the default value is empty.
    # Add ${CMAKE_INSTALL_LIBDIR}/cmake and ${CMAKE_PREFIX_PATH}/lib/cmake to search list
    list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
    set(AWS_MODULE_DIR "/${CMAKE_INSTALL_LIBDIR}/cmake")
    string(REPLACE ";" "${AWS_MODULE_DIR};" AWS_MODULE_PATH "${CMAKE_PREFIX_PATH}${AWS_MODULE_DIR}")
    list(APPEND CMAKE_MODULE_PATH ${AWS_MODULE_PATH})

    # include() will "load and run" cmake script
    include(resolve_platform)
    include(CMakePackageConfigHelpers)

    if (REGENERATE_CLIENTS AND NOT ENABLE_VIRTUAL_OPERATIONS)
        if (PLATFORM_LINUX OR PLATFORM_APPLE)
            Message(STATUS "${BoldYellow}You are regenerating service client's source code and is turning ENABLE_VIRTUAL_OPERATIONS off. If you are targeting smaller binary size, read description string of ENABLE_VIRTUAL_OPERATIONS.${ColourReset}")
        endif ()
    endif ()

    # use response files to prevent command-line-too-big errors for large libraries like iam
    set(CMAKE_CXX_USE_RESPONSE_FILE_FOR_OBJECTS 1)
    set(CMAKE_CXX_USE_RESPONSE_FILE_FOR_INCLUDES 1)
    set(CMAKE_CXX_RESPONSE_FILE_LINK_FLAG "@")

    if (COMMAND apply_pre_project_platform_settings)
        apply_pre_project_platform_settings()
    endif ()

    include(initialize_project_version)

    if (BUILD_SHARED_LIBS OR FORCE_SHARED_CRT)
        set(STATIC_CRT OFF)
    else ()
        set(STATIC_CRT ON)
    endif ()

    # build the sdk targets
    project("aws-cpp-sdk-all" VERSION "${PROJECT_VERSION}" LANGUAGES CXX)

    find_package(Python3 COMPONENTS Interpreter Development)
    set(PYTHON3_CMD ${PYTHON_EXECUTABLE})

    # ENABLE_ZLIB_REQUEST_COMPRESSION should be ON by default if ZLIB is available
    if(ENABLE_ZLIB_REQUEST_COMPRESSION)
        find_package(ZLIB QUIET)
        if ( NOT ZLIB_FOUND)
            set(ENABLE_ZLIB_REQUEST_COMPRESSION
                    OFF CACHE BOOL
                    "For services that support it, request content will be compressed. On by default if dependency available"
                    FORCE)
            message(WARNING "ZLIB is not available, it will not be used to compress requests")
        else()
            #Passing the information that we want zlib request compression support to C++
            add_definitions("-DENABLED_ZLIB_REQUEST_COMPRESSION" "-DENABLED_REQUEST_COMPRESSION")
        endif()
    endif()

    if (UNIX AND NOT APPLE)
        include(GNUInstallDirs)
    elseif (NOT DEFINED CMAKE_INSTALL_LIBDIR)

=== generated/src/aws-cpp-sdk-account/CMakeLists.txt ===
add_project(aws-cpp-sdk-account "C++ SDK for the AWS account service" aws-cpp-sdk-core)

file(GLOB AWS_ACCOUNT_HEADERS
    "include/aws/account/*.h"
)

file(GLOB AWS_ACCOUNT_MODEL_HEADERS
    "include/aws/account/model/*.h"
)

file(GLOB AWS_ACCOUNT_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_ACCOUNT_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB ACCOUNT_UNIFIED_HEADERS
    ${AWS_ACCOUNT_HEADERS}
    ${AWS_ACCOUNT_MODEL_HEADERS}
)

file(GLOB ACCOUNT_UNITY_SRC
    ${AWS_ACCOUNT_SOURCE}
    ${AWS_ACCOUNT_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("ACCOUNT" ACCOUNT_UNITY_SRC)
endif()

file(GLOB ACCOUNT_SRC
    ${ACCOUNT_UNIFIED_HEADERS}
    ${ACCOUNT_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\account" FILES ${AWS_ACCOUNT_HEADERS})
        source_group("Header Files\\aws\\account\\model" FILES ${AWS_ACCOUNT_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_ACCOUNT_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_ACCOUNT_MODEL_SOURCE})
    endif(MSVC)
endif()

set(ACCOUNT_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${ACCOUNT_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_ACCOUNT_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_ACCOUNT_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/account)
install (FILES ${AWS_ACCOUNT_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/account/model)

do_packaging()

=== generated/src/aws-cpp-sdk-appfabric/CMakeLists.txt ===
add_project(aws-cpp-sdk-appfabric "C++ SDK for the AWS appfabric service" aws-cpp-sdk-core)

file(GLOB AWS_APPFABRIC_HEADERS
    "include/aws/appfabric/*.h"
)

file(GLOB AWS_APPFABRIC_MODEL_HEADERS
    "include/aws/appfabric/model/*.h"
)

file(GLOB AWS_APPFABRIC_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_APPFABRIC_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB APPFABRIC_UNIFIED_HEADERS
    ${AWS_APPFABRIC_HEADERS}
    ${AWS_APPFABRIC_MODEL_HEADERS}
)

file(GLOB APPFABRIC_UNITY_SRC
    ${AWS_APPFABRIC_SOURCE}
    ${AWS_APPFABRIC_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("APPFABRIC" APPFABRIC_UNITY_SRC)
endif()

file(GLOB APPFABRIC_SRC
    ${APPFABRIC_UNIFIED_HEADERS}
    ${APPFABRIC_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\appfabric" FILES ${AWS_APPFABRIC_HEADERS})
        source_group("Header Files\\aws\\appfabric\\model" FILES ${AWS_APPFABRIC_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_APPFABRIC_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_APPFABRIC_MODEL_SOURCE})
    endif(MSVC)
endif()

set(APPFABRIC_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${APPFABRIC_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_APPFABRIC_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_APPFABRIC_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/appfabric)
install (FILES ${AWS_APPFABRIC_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/appfabric/model)

do_packaging()

=== generated/src/aws-cpp-sdk-bedrock-agent/CMakeLists.txt ===
add_project(aws-cpp-sdk-bedrock-agent "C++ SDK for the AWS bedrock-agent service" aws-cpp-sdk-core)

file(GLOB AWS_BEDROCK-AGENT_HEADERS
    "include/aws/bedrock-agent/*.h"
)

file(GLOB AWS_BEDROCK-AGENT_MODEL_HEADERS
    "include/aws/bedrock-agent/model/*.h"
)

file(GLOB AWS_BEDROCK-AGENT_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_BEDROCK-AGENT_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB BEDROCK-AGENT_UNIFIED_HEADERS
    ${AWS_BEDROCK-AGENT_HEADERS}
    ${AWS_BEDROCK-AGENT_MODEL_HEADERS}
)

file(GLOB BEDROCK-AGENT_UNITY_SRC
    ${AWS_BEDROCK-AGENT_SOURCE}
    ${AWS_BEDROCK-AGENT_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("BEDROCK-AGENT" BEDROCK-AGENT_UNITY_SRC)
endif()

file(GLOB BEDROCK-AGENT_SRC
    ${BEDROCK-AGENT_UNIFIED_HEADERS}
    ${BEDROCK-AGENT_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\bedrock-agent" FILES ${AWS_BEDROCK-AGENT_HEADERS})
        source_group("Header Files\\aws\\bedrock-agent\\model" FILES ${AWS_BEDROCK-AGENT_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_BEDROCK-AGENT_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_BEDROCK-AGENT_MODEL_SOURCE})
    endif(MSVC)
endif()

set(BEDROCK-AGENT_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${BEDROCK-AGENT_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_BEDROCKAGENT_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_BEDROCK-AGENT_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/bedrock-agent)
install (FILES ${AWS_BEDROCK-AGENT_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/bedrock-agent/model)

do_packaging()

=== generated/src/aws-cpp-sdk-cloudsearchdomain/CMakeLists.txt ===
add_project(aws-cpp-sdk-cloudsearchdomain "C++ SDK for the AWS cloudsearchdomain service" aws-cpp-sdk-core)

file(GLOB AWS_CLOUDSEARCHDOMAIN_HEADERS
    "include/aws/cloudsearchdomain/*.h"
)

file(GLOB AWS_CLOUDSEARCHDOMAIN_MODEL_HEADERS
    "include/aws/cloudsearchdomain/model/*.h"
)

file(GLOB AWS_CLOUDSEARCHDOMAIN_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CLOUDSEARCHDOMAIN_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CLOUDSEARCHDOMAIN_UNIFIED_HEADERS
    ${AWS_CLOUDSEARCHDOMAIN_HEADERS}
    ${AWS_CLOUDSEARCHDOMAIN_MODEL_HEADERS}
)

file(GLOB CLOUDSEARCHDOMAIN_UNITY_SRC
    ${AWS_CLOUDSEARCHDOMAIN_SOURCE}
    ${AWS_CLOUDSEARCHDOMAIN_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CLOUDSEARCHDOMAIN" CLOUDSEARCHDOMAIN_UNITY_SRC)
endif()

file(GLOB CLOUDSEARCHDOMAIN_SRC
    ${CLOUDSEARCHDOMAIN_UNIFIED_HEADERS}
    ${CLOUDSEARCHDOMAIN_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\cloudsearchdomain" FILES ${AWS_CLOUDSEARCHDOMAIN_HEADERS})
        source_group("Header Files\\aws\\cloudsearchdomain\\model" FILES ${AWS_CLOUDSEARCHDOMAIN_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CLOUDSEARCHDOMAIN_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CLOUDSEARCHDOMAIN_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CLOUDSEARCHDOMAIN_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${CLOUDSEARCHDOMAIN_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CLOUDSEARCHDOMAIN_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CLOUDSEARCHDOMAIN_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/cloudsearchdomain)
install (FILES ${AWS_CLOUDSEARCHDOMAIN_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/cloudsearchdomain/model)

do_packaging()

=== generated/src/aws-cpp-sdk-comprehend/CMakeLists.txt ===
add_project(aws-cpp-sdk-comprehend "C++ SDK for the AWS comprehend service" aws-cpp-sdk-core)

file(GLOB AWS_COMPREHEND_HEADERS
    "include/aws/comprehend/*.h"
)

file(GLOB AWS_COMPREHEND_MODEL_HEADERS
    "include/aws/comprehend/model/*.h"
)

file(GLOB AWS_COMPREHEND_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_COMPREHEND_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB COMPREHEND_UNIFIED_HEADERS
    ${AWS_COMPREHEND_HEADERS}
    ${AWS_COMPREHEND_MODEL_HEADERS}
)

file(GLOB COMPREHEND_UNITY_SRC
    ${AWS_COMPREHEND_SOURCE}
    ${AWS_COMPREHEND_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("COMPREHEND" COMPREHEND_UNITY_SRC)
endif()

file(GLOB COMPREHEND_SRC
    ${COMPREHEND_UNIFIED_HEADERS}
    ${COMPREHEND_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\comprehend" FILES ${AWS_COMPREHEND_HEADERS})
        source_group("Header Files\\aws\\comprehend\\model" FILES ${AWS_COMPREHEND_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_COMPREHEND_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_COMPREHEND_MODEL_SOURCE})
    endif(MSVC)
endif()

set(COMPREHEND_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${COMPREHEND_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_COMPREHEND_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_COMPREHEND_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/comprehend)
install (FILES ${AWS_COMPREHEND_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/comprehend/model)

do_packaging()

=== generated/src/aws-cpp-sdk-connectcases/CMakeLists.txt ===
add_project(aws-cpp-sdk-connectcases "C++ SDK for the AWS connectcases service" aws-cpp-sdk-core)

file(GLOB AWS_CONNECTCASES_HEADERS
    "include/aws/connectcases/*.h"
)

file(GLOB AWS_CONNECTCASES_MODEL_HEADERS
    "include/aws/connectcases/model/*.h"
)

file(GLOB AWS_CONNECTCASES_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CONNECTCASES_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CONNECTCASES_UNIFIED_HEADERS
    ${AWS_CONNECTCASES_HEADERS}
    ${AWS_CONNECTCASES_MODEL_HEADERS}
)

file(GLOB CONNECTCASES_UNITY_SRC
    ${AWS_CONNECTCASES_SOURCE}
    ${AWS_CONNECTCASES_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CONNECTCASES" CONNECTCASES_UNITY_SRC)
endif()

file(GLOB CONNECTCASES_SRC
    ${CONNECTCASES_UNIFIED_HEADERS}
    ${CONNECTCASES_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\connectcases" FILES ${AWS_CONNECTCASES_HEADERS})
        source_group("Header Files\\aws\\connectcases\\model" FILES ${AWS_CONNECTCASES_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CONNECTCASES_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CONNECTCASES_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CONNECTCASES_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${CONNECTCASES_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CONNECTCASES_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CONNECTCASES_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/connectcases)
install (FILES ${AWS_CONNECTCASES_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/connectcases/model)

do_packaging()

=== generated/src/aws-cpp-sdk-controlcatalog/CMakeLists.txt ===
add_project(aws-cpp-sdk-controlcatalog "C++ SDK for the AWS controlcatalog service" aws-cpp-sdk-core)

file(GLOB AWS_CONTROLCATALOG_HEADERS
    "include/aws/controlcatalog/*.h"
)

file(GLOB AWS_CONTROLCATALOG_MODEL_HEADERS
    "include/aws/controlcatalog/model/*.h"
)

file(GLOB AWS_CONTROLCATALOG_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CONTROLCATALOG_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CONTROLCATALOG_UNIFIED_HEADERS
    ${AWS_CONTROLCATALOG_HEADERS}
    ${AWS_CONTROLCATALOG_MODEL_HEADERS}
)

file(GLOB CONTROLCATALOG_UNITY_SRC
    ${AWS_CONTROLCATALOG_SOURCE}
    ${AWS_CONTROLCATALOG_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CONTROLCATALOG" CONTROLCATALOG_UNITY_SRC)
endif()

file(GLOB CONTROLCATALOG_SRC
    ${CONTROLCATALOG_UNIFIED_HEADERS}
    ${CONTROLCATALOG_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\controlcatalog" FILES ${AWS_CONTROLCATALOG_HEADERS})
        source_group("Header Files\\aws\\controlcatalog\\model" FILES ${AWS_CONTROLCATALOG_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CONTROLCATALOG_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CONTROLCATALOG_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CONTROLCATALOG_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${CONTROLCATALOG_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CONTROLCATALOG_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CONTROLCATALOG_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/controlcatalog)
install (FILES ${AWS_CONTROLCATALOG_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/controlcatalog/model)

do_packaging()

=== generated/src/aws-cpp-sdk-controltower/CMakeLists.txt ===
add_project(aws-cpp-sdk-controltower "C++ SDK for the AWS controltower service" aws-cpp-sdk-core)

file(GLOB AWS_CONTROLTOWER_HEADERS
    "include/aws/controltower/*.h"
)

file(GLOB AWS_CONTROLTOWER_MODEL_HEADERS
    "include/aws/controltower/model/*.h"
)

file(GLOB AWS_CONTROLTOWER_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CONTROLTOWER_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CONTROLTOWER_UNIFIED_HEADERS
    ${AWS_CONTROLTOWER_HEADERS}
    ${AWS_CONTROLTOWER_MODEL_HEADERS}
)

file(GLOB CONTROLTOWER_UNITY_SRC
    ${AWS_CONTROLTOWER_SOURCE}
    ${AWS_CONTROLTOWER_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CONTROLTOWER" CONTROLTOWER_UNITY_SRC)
endif()

file(GLOB CONTROLTOWER_SRC
    ${CONTROLTOWER_UNIFIED_HEADERS}
    ${CONTROLTOWER_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\controltower" FILES ${AWS_CONTROLTOWER_HEADERS})
        source_group("Header Files\\aws\\controltower\\model" FILES ${AWS_CONTROLTOWER_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CONTROLTOWER_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CONTROLTOWER_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CONTROLTOWER_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${CONTROLTOWER_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CONTROLTOWER_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CONTROLTOWER_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/controltower)
install (FILES ${AWS_CONTROLTOWER_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/controltower/model)

do_packaging()

=== generated/src/aws-cpp-sdk-deadline/CMakeLists.txt ===
add_project(aws-cpp-sdk-deadline "C++ SDK for the AWS deadline service" aws-cpp-sdk-core)

file(GLOB AWS_DEADLINE_HEADERS
    "include/aws/deadline/*.h"
)

file(GLOB AWS_DEADLINE_MODEL_HEADERS
    "include/aws/deadline/model/*.h"
)

file(GLOB AWS_DEADLINE_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_DEADLINE_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB DEADLINE_UNIFIED_HEADERS
    ${AWS_DEADLINE_HEADERS}
    ${AWS_DEADLINE_MODEL_HEADERS}
)

file(GLOB DEADLINE_UNITY_SRC
    ${AWS_DEADLINE_SOURCE}
    ${AWS_DEADLINE_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("DEADLINE" DEADLINE_UNITY_SRC)
endif()

file(GLOB DEADLINE_SRC
    ${DEADLINE_UNIFIED_HEADERS}
    ${DEADLINE_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\deadline" FILES ${AWS_DEADLINE_HEADERS})
        source_group("Header Files\\aws\\deadline\\model" FILES ${AWS_DEADLINE_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_DEADLINE_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_DEADLINE_MODEL_SOURCE})
    endif(MSVC)
endif()

set(DEADLINE_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${DEADLINE_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_DEADLINE_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_DEADLINE_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/deadline)
install (FILES ${AWS_DEADLINE_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/deadline/model)

do_packaging()

=== generated/src/aws-cpp-sdk-directory-service-data/CMakeLists.txt ===
add_project(aws-cpp-sdk-directory-service-data "C++ SDK for the AWS directory-service-data service" aws-cpp-sdk-core)

file(GLOB AWS_DIRECTORY-SERVICE-DATA_HEADERS
    "include/aws/directory-service-data/*.h"
)

file(GLOB AWS_DIRECTORY-SERVICE-DATA_MODEL_HEADERS
    "include/aws/directory-service-data/model/*.h"
)

file(GLOB AWS_DIRECTORY-SERVICE-DATA_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_DIRECTORY-SERVICE-DATA_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB DIRECTORY-SERVICE-DATA_UNIFIED_HEADERS
    ${AWS_DIRECTORY-SERVICE-DATA_HEADERS}
    ${AWS_DIRECTORY-SERVICE-DATA_MODEL_HEADERS}
)

file(GLOB DIRECTORY-SERVICE-DATA_UNITY_SRC
    ${AWS_DIRECTORY-SERVICE-DATA_SOURCE}
    ${AWS_DIRECTORY-SERVICE-DATA_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("DIRECTORY-SERVICE-DATA" DIRECTORY-SERVICE-DATA_UNITY_SRC)
endif()

file(GLOB DIRECTORY-SERVICE-DATA_SRC
    ${DIRECTORY-SERVICE-DATA_UNIFIED_HEADERS}
    ${DIRECTORY-SERVICE-DATA_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\directory-service-data" FILES ${AWS_DIRECTORY-SERVICE-DATA_HEADERS})
        source_group("Header Files\\aws\\directory-service-data\\model" FILES ${AWS_DIRECTORY-SERVICE-DATA_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_DIRECTORY-SERVICE-DATA_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_DIRECTORY-SERVICE-DATA_MODEL_SOURCE})
    endif(MSVC)
endif()

set(DIRECTORY-SERVICE-DATA_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${DIRECTORY-SERVICE-DATA_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_DIRECTORYSERVICEDATA_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_DIRECTORY-SERVICE-DATA_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/directory-service-data)
install (FILES ${AWS_DIRECTORY-SERVICE-DATA_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/directory-service-data/model)

do_packaging()

=== PKGBUILD ===
# Maintainer: Jeroen Ooms <jeroen@berkeley.edu>

_realname=aws-sdk-cpp
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=1.11.435
pkgrel=1
pkgdesc="AWS SDK for C++ (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/aws/aws-sdk-cpp"
msys2_references=(
  'archlinux: aws-sdk-cpp'
)
license=('spdx:Apache-2.0')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-aws-c-common"
         "${MINGW_PACKAGE_PREFIX}-aws-c-event-stream"
         "${MINGW_PACKAGE_PREFIX}-aws-crt-cpp"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-python")
source=("https://github.com/aws/aws-sdk-cpp/archive/${pkgver}/${_realname}-${pkgver}.tar.gz"
        "aws-sdk-cpp-pr-1333.patch"
        "0001-fix-dll-import-libary-folder.patch")
sha256sums=('d57e69f78840754d92aa2cd15632f70e75dfc79e9fb4f3c2b33d5f98a496109f'
            '9eacf0b0bbe978ef69f14bbd0254c96018d3ca84835f1d08409f57ca9831edde'
            'ffa3b28970cce12ba24856d9245e2581c6cb4da7faf740377e99f6ef84bcffc4')

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying $_patch"
    patch -Nbp1 -i "${srcdir}/$_patch"
  done
}

prepare() {
  cd "${_realname}-${pkgver}"
  apply_patch_with_msg \
    aws-sdk-cpp-pr-1333.patch \
    0001-fix-dll-import-libary-folder.patch

  # For clang
  sed -e "s/-fPIC//g" -i cmake/compiler_settings.cmake

  find . -name "*.orig" -exec rm -f {} \;
}

build() {
  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  mkdir -p "${srcdir}/build-${MSYSTEM}-static" && cd "${srcdir}/build-${MSYSTEM}-static"

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    ${MINGW_PREFIX}/bin/cmake.exe \
      -G "Ninja" \
      "${_extra_config[@]}" \
      -DBUILD_SHARED_LIBS=OFF \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      -DCMAKE_PREFIX_PATH="${MINGW_PREFIX}" \
      -DCMAKE_MODULE_PATH="${MINGW_PREFIX}"/lib/cmake \
      -DAWS_SDK_WARNINGS_ARE_ERRORS=OFF \
      -DBUILD_ONLY="access-management;config;identity-management;lambda;s3;sts;transfer" \
      -DENABLE_UNITY_BUILD=ON \
      -DENABLE_TESTING=OFF \
      -DBUILD_DEPS=OFF \
      -DPYTHON_EXECUTABLE=${MINGW_PREFIX}/bin/python \
      ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake.exe --build ./

  mkdir -p "${srcdir}/build-${MSYSTEM}-shared" && cd "${srcdir}/build-${MSYSTEM}-shared"

  LDFLAGS+=" -Wl,--export-all-symbols" \
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    ${MINGW_PREFIX}/bin/cmake.exe \
      -G "Ninja" \
      "${_extra_config[@]}" \
      -DBUILD_SHARED_LIBS=ON \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      -DCMAKE_PREFIX_PATH="${MINGW_PREFIX}" \
      -DCMAKE_MODULE_PATH="${MINGW_PREFIX}"/lib/cmake \
      -DAWS_SDK_WARNINGS_ARE_ERRORS=OFF \
      -DBUILD_ONLY="access-management;config;identity-management;lambda;s3;sts;transfer" \
      -DENABLE_UNITY_BUILD=ON \
      -DENABLE_TESTING=OFF \
      -DBUILD_DEPS=OFF \
      -DPYTHON_EXECUTABLE=${MINGW_PREFIX}/bin/python \
      ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake.exe --build ./
}

package() {
  cd "${srcdir}/build-${MSYSTEM}-static"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake.exe --install ./

  cd "${srcdir}/build-${MSYSTEM}-shared"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake.exe --install ./

  cd "${srcdir}/${_realname}-${pkgver}"
  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
